%global enable_tests 1
%global srcname requestretry

Name:           nodejs-%{srcname}
Version:        1.4.0
Release:        3%{?dist}
Summary:        Request-retry wrap nodejs request to retry http(s) requests in case of error
License:        MIT
URL:            https://github.com/FGRibreau/node-request-retry
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(mocha)
BuildRequires:  npm(fg-lodash)
BuildRequires:  npm(request)
%endif


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep request '2.x'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js strategies/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha test
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.4.0-1
- Initial package
